Bug 1023305 - Initial build app after creating app from quickstart does not restart the app if there's hot-deploy marker existing in the quickstart itself
Initial build app after creating app from quickstart does not restart the app...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 03:23 EDT by Meng Bo
Modified: 2015-05-14 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-25 03:23:01 EDT
Description of problem:
Create app via https://github.com/matthicksj/scaling-demo, app can be created successfully, but meets 503 error when visiting the app.

Version-Release number of selected component (if applicable):
devenv_3944

How reproducible:
Always

Steps to Reproduce:
1. Create scaling demo app
rhc app-create scaleapp jbosseap mongodb-2 -s --from-code https://github.com/matthicksj/scaling-demo.git
2. Visit the app home page
3.

Actual results:
Will met 503 error.

Expected results:
The app should work fine.

Additional info:
The demo app works well on current STG (devenv-stage_532),
And found the following error on both STG and devenv_3944,

2013/10/25 02:05:24,054 ERROR [org.jboss.as.controller.management-operation] (management-handler-thread - 4) JBAS014613: Operation ("read-resource") failed - address: ([("subsystem" => "deployment-scanner")]) - failure description: "JBAS014807: Management resource '[(\"subsystem\" => \"deployment-scanner\")]' not found"
Comment 1 Meng Bo 2013-10-25 03:51:50 EDT
The app is in start state after created but cannot be accessed.
# rhc app show scaleapp --state
Cartridge mongodb-2.2 is started
Cartridge jbosseap-6, haproxy-1.4 is started


After restart the app, the app can work well.
Low the severity.
Comment 2 Meng Bo 2013-10-25 04:11:44 EDT
Found that there is a hot_deploy marker for the scaling demo quickstart. That's way the app cannot be accessed after created but works well after restart.

Raise the severity.
Comment 3 Andy Goldstein 2013-10-25 08:58:26 EDT
https://github.com/openshift/origin-server/pull/3992
Comment 4 openshift-github-bot 2013-10-25 11:34:03 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/f754d2f570fd66596b9cb66bed9dada01a5351c4
Ignore hot_deploy for initial from-code build

Make sure local gear is started and in rotation when an initial build
git repository happens to have a hot deploy marker in it.

Bug 1023305
Comment 5 Meng Bo 2013-10-28 01:23:47 EDT
Checked the scale-demo on devenv_3953, the app can be accessed after created.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.